<template>
     <el-form
        :model="ruleForm"
        :disabled="disabled"
        label-width="100px"
        size="small"
    >
        <el-row>
            <el-col :span="12">
                <el-form-item label="检测人员">
                    <el-select v-model="ruleForm.testerId" placeholder="请选择" style="width: 100%">
                        <el-option
                            v-for="(item, index) in userList"
                            :key="index"
                            :label="item.name"
                            :value="item.id"
                        ></el-option>
                    </el-select>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="监督员">
                    <el-select v-model="ruleForm.supervisorId" placeholder="请选择" style="width: 100%">
                        <el-option
                            v-for="(item, index) in userList"
                            :key="index"
                            :label="item.name"
                            :value="item.id"
                        ></el-option>
                    </el-select>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="检测项目">
                    <el-input v-model="ruleForm.testItem" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="样品编号">
                    <el-input v-model="ruleForm.sampleNumber" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="检测日期">
                    <el-date-picker
                        v-model="ruleForm.detectionDate"
                        value-format="yyyy-MM-dd HH:mm:ss"
                        type="datetime"
                        placeholder="选择日期"
                        style="width: 100%;"
                    >
                    </el-date-picker>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="人员">
                    <el-select 
                        v-model="ruleForm.personnel" 
                        placeholder="请选择" 
                        style="width: 100%"
                        multiple
                    >
                        <el-option
                            v-for="(item, index) in userList"
                            :key="index"
                            :label="item.name"
                            :value="item.id"
                        ></el-option>
                    </el-select>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="仪器设备">
                    <el-input v-model="ruleForm.instrumentEquipment" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="工作环境">
                    <el-input v-model="ruleForm.workingEnvironment" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="样品采集">
                    <el-input v-model="ruleForm.sampleCollection" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="样品的准备">
                    <el-input v-model="ruleForm.samplePreparation" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="检测方法">
                    <el-input v-model="ruleForm.testMethod" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="检测记录">
                    <el-input v-model="ruleForm.testingRecords" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="检测报告">
                    <el-input v-model="ruleForm.testReport" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
            <el-col :span="12">
                <el-form-item label="监督情况评价">
                    <el-input v-model="ruleForm.evaluationSupervisionSituation" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col :span="12">
                <el-form-item label="处理意见">
                    <el-input v-model="ruleForm.doNotMeetTheHandlingOpinions" placeholder="请输入"></el-input>
                </el-form-item>
            </el-col>
        </el-row>
        <el-row>
            <el-col v-show="isEdit && !disabled" :span="24">
                <el-form-item style="text-align: right;">
                    <el-button size="small" @click="close">取消</el-button>
                    <el-button size="small" type="primary" @click="approve">审批</el-button>
                </el-form-item>
            </el-col>
            <el-col v-show="!isEdit" :span="24">
                <el-form-item style="text-align: right;">
                    <el-button size="small" type="primary" @click="addData">提交</el-button>
                </el-form-item>
            </el-col>
        </el-row>
    </el-form>
</template>
<script>

export default {
    props: {
        isEdit: {
            type: Boolean,
            default: false
        },
        userList: {
            type: Array,
            default: () => {
                return []
            }
        },
        superviseForm: {
            type: Object,
            default: {}
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    computed: {
        ruleForm: {
            get() {
                return this.superviseForm
            },
            set(val) {
                this.$emit('superviseForm', val)
            }
        }
    },
    data() {
        return {
        }
    },
    methods: {
        close() {
            this.$emit('close')
        },
        approve() {
            this.$emit('submit', 1)
        },
        addData() {
            this.$emit('addData', 1)
        }
    }
}
</script>